TabbedPaneFactory (Groovy 5.0.6)

Package: groovy.swing.factory

## [Groovy] Class TabbedPaneFactory

- groovy.swing.factory.TabbedPaneFactory

-     class TabbedPaneFactory
      extends BeanFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CONTEXT_DATA_KEY` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ICON` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP` |
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TITLE` |
    `static String` | `DELEGATE_PROPERTY_TAB_BACKGROUND` |
    `static String` | `DELEGATE_PROPERTY_TAB_DISABLED_ICON` |
    `static String` | `DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX` |
    `static String` | `DELEGATE_PROPERTY_TAB_ENABLED` |
    `static String` | `DELEGATE_PROPERTY_TAB_FOREGROUND` |
    `static String` | `DELEGATE_PROPERTY_TAB_ICON` |
    `static String` | `DELEGATE_PROPERTY_TAB_MNEMONIC` |
    `static String` | `DELEGATE_PROPERTY_TAB_TOOL_TIP` |
    `static String` | `DELEGATE_PROPERTY_TITLE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TabbedPaneFactory(Class beanClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### public static final String CONTEXT_DATA_KEY

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_ICON

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TITLE

    - #### public static final String DELEGATE_PROPERTY_TAB_BACKGROUND

    - #### public static final String DELEGATE_PROPERTY_TAB_DISABLED_ICON

    - #### public static final String DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

    - #### public static final String DELEGATE_PROPERTY_TAB_ENABLED

    - #### public static final String DELEGATE_PROPERTY_TAB_FOREGROUND

    - #### public static final String DELEGATE_PROPERTY_TAB_ICON

    - #### public static final String DELEGATE_PROPERTY_TAB_MNEMONIC

    - #### public static final String DELEGATE_PROPERTY_TAB_TOOL_TIP

    - #### public static final String DELEGATE_PROPERTY_TITLE

  - ### Constructor Detail

    - #### TabbedPaneFactory(Class beanClass)

  - ### Method Detail

    - #### static void inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)